import Header from "@/Components/Header";
import React, { useEffect, useState } from "react";
import Footer from "@/Components/Footer";
import Button from "@mui/material/Button";
import InstagramFeeds from "@/Components/InstagramFeeds";
import { router, usePage, Link, Head } from "@inertiajs/react";
import { mdiMapMarkerOutline, mdiEmailOutline } from "@mdi/js";

import { mdiTwitter, mdiFacebook, mdiWhatsapp, mdiInstagram } from "@mdi/js";
import Icon from "@mdi/react";

import PhoneInput from "react-phone-input-2";
import "react-phone-input-2/lib/material.css";

export default function COntact() {
    useEffect(() => {}, []);
    const { tourPackage, auth, flash } = usePage().props;
    const user = auth.user;
    const [loading, setLoading] = useState(false);
    const [name, setName] = useState(user ? user.name : null);
    const [phone, setPhone] = useState(user ? user.phone : null);
    const [email, setEmail] = useState(user ? user.email : null);
    const [message, setMessage] = useState(null);
    const [country, setCountry] = useState(null);

    useEffect(() => {
        setMessage(null);
        setEmail(null);
        setPhone(null);
        setName(null);
        setLoading(false);
    }, [flash]);
    return (
        <>
            {" "}
            <Head title={`Contact Us`} />
            <div>
                {/*========== HEADER STYLE ONE START ==========*/}
                <Header fixed={false} />
                {/*========== HEADER STYLE ONE END ==========*/}
                {/*========== HERO STYLE ONE START ==========*/}
                <>
                    <div className="paralax-container lg:py-36 py-20 relative overflow-hidden">
                        <div
                            className="jarallax absolute inset-0 z-minus before:content-[''] before:absolute before:inset-0 before:bg-[#030610] before:bg-opacity-50 before:z-minus"
                            data-jarallax=""
                        >
                            <img
                                className="jarallax-img"
                                src="./assets/images/backgrounds/breadcrumb-bg.webp"
                                alt="placeholder"
                            />
                        </div>
                        <img
                            src="./assets/images/illustration/breadcrunb__shape.png"
                            alt="placeholder"
                            className="absolute bottom-0 left-0 z-1 lg:w-[12.5%] w-[20%]"
                        />
                        <img
                            src="./assets/images/illustration/bird-illustration-w.png"
                            alt="placeholder"
                            className="absolute top-[10%] right-[4%] z-1 w-[7.5%]"
                        />
                        <div className="container relative z-2">
                            <nav aria-label="breadcrumb">
                                <ol className="breadcrumb">
                                    <li>
                                        <a href="#">Home</a>
                                    </li>
                                    <li className="active_page">Contact Us</li>
                                </ol>
                            </nav>
                            <h2 className="xl:text-[54px] mt-2 lg:text-4xl md:text-2xl text-[30px] text-white leading-[1.3] font-medium max-w-[640px]">
                                A Feel Free to Contact with us
                            </h2>
                        </div>
                    </div>
                    {/*========== BREADCRUMB STYLE END ==========*/}
                    {/*========== CONTACT US STYLE START ==========*/}
                    <div className="lg:pt-30 pt-24  relative z-1 bg-gradient-to-t to-[#FFF1EC] from-white">
                        <div className="absolute top-[7%] right-0 max-w-[14%] z-minus lg:inline-block hidden">
                            <img
                                src="./assets/images/illustration/tree-illustration.png"
                                alt="leaf"
                            />
                        </div>
                        <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                            <img
                                src="./assets/images/illustration/bird-illustration.png"
                                alt="leaf"
                            />
                        </div>
                        <div className="container">
                            <div className="grid lg:grid-cols-3 md:grid-cols-2 grid-cols-1 gap-base">
                                <div className="shadow-custom-1 bg-white lg:py-8 py-7 px-base wow fadeInUp">
                                    <div className="flex">
                                        <div className="mr-[15px] shrink-0 lg:text-3xl text-2xl text-[#219FFF]">
                                            {/* <i className="bi bi-envelope-at" /> */}
                                            <Icon
                                                path={mdiEmailOutline}
                                                size={1}
                                                className="text-primary-1 text-center hover:text-white"
                                            />
                                        </div>
                                        <div>
                                            <h4 className="text-dark-1 lg:text-2md text-md font-semibold">
                                                Email Us
                                            </h4>
                                            <ul className="text-dark-3 space-y-1 text-base font-medium mt-2">
                                                <li>
                                                    <a
                                                        href="mailto:info@travellerswing.com"
                                                        target="_black"
                                                        className="hover:text-primary-1 duration-200"
                                                    >
                                                        info@travellerswing.com
                                                    </a>
                                                </li>
                                                <li>
                                                    <a
                                                        href="mailto:booking@travellerswing.com"
                                                        target="_black"
                                                        className="hover:text-primary-1 duration-200"
                                                    >
                                                        booking@travellerswing.com
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div
                                    className="shadow-custom-1 bg-white lg:py-8 py-7 px-base wow fadeInUp"
                                    data-wow-delay="0.2s"
                                >
                                    <div className="flex">
                                        <div className="mr-[15px] shrink-0 lg:text-3xl text-2xl text-[#17BD8D]">
                                            {/* <i className="bi bi-telephone-forward" /> */}
                                            <Icon
                                                path={mdiWhatsapp}
                                                size={1}
                                                className="text-green-500 text-center hover:text-white"
                                            />
                                        </div>
                                        <div>
                                            <h4 className="text-dark-1 lg:text-2md text-md font-semibold">
                                                Call / WhatsApp
                                            </h4>
                                            <ul className="text-dark-3 space-y-1 text-base font-medium mt-2">
                                                <li>
                                                    <a
                                                        href="https://wa.me/+255764294329"
                                                        className="hover:text-primary-1 duration-200"
                                                    >
                                                        +255 764 294 329
                                                    </a>
                                                </li>
                                                {/* <li>
                                                    <a
                                                        href="tel:+866-398-5917"
                                                        className="hover:text-primary-1 duration-200"
                                                    >
                                                        +866-398-5917
                                                    </a>
                                                </li> */}
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div
                                    className="shadow-custom-1 bg-white lg:py-8 py-7 px-base wow fadeInUp"
                                    data-wow-delay="0.4s"
                                >
                                    <div className="flex">
                                        <div className="mr-[15px] shrink-0 lg:text-3xl text-2xl text-[#F53D6B]">
                                            {/* <i className="bi bi-geo-alt" /> */}
                                            <Icon
                                                path={mdiMapMarkerOutline}
                                                size={1}
                                                className="text-primary-1 text-center hover:text-white"
                                            />
                                        </div>
                                        <div>
                                            <h4 className="text-dark-1 lg:text-2md text-md font-semibold">
                                                Contact Us
                                            </h4>
                                            <ul className="text-dark-3 space-y-1 text-base font-medium mt-2">
                                                <li>
                                                    <a
                                                        target="_blank"
                                                        href="mailto:info@travellerswing.com"
                                                        className="hover:text-primary-1 duration-200"
                                                    >
                                                        Arusha, Tanzania, East
                                                        Africa
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div className="lg:pt-30 pt-24">
                                <div className="text-center lg:pb-[60px] pb-[40px]">
                                    <h5 className="section-sub-title-v1">
                                        Get in Touch
                                    </h5>
                                    <h2 className="section-title-v1">
                                        Feel Free to Contact with us
                                    </h2>
                                </div>
                                <div className="max-w-[870px] mx-auto">
                                    <form action="#">
                                        <div className="grid grid-cols-2 gap-base">
                                            {!user && (
                                                <>
                                                    <div className="lg:col-span-1 col-span-2">
                                                        <input
                                                            type="text"
                                                            placeholder="Your Name"
                                                            onChange={(e) =>
                                                                setEmail(
                                                                    e.target
                                                                        .value
                                                                )
                                                            }
                                                            className="input_style__primary"
                                                        />
                                                    </div>
                                                    <div className="col-span-2">
                                                        <input
                                                            type="email"
                                                            placeholder="Your Email"
                                                            onChange={(e) =>
                                                                setEmail(
                                                                    e.target
                                                                        .value
                                                                )
                                                            }
                                                            className="input_style__primary"
                                                        />
                                                    </div>
                                                    <div className="col-span-2">
                                                        {/* <input
                                                                        type="tel"
                                                                        value={
                                                                            phone
                                                                        }
                                                                        onChange={(
                                                                            e
                                                                        ) =>
                                                                            setPhone(
                                                                                e
                                                                                    .target
                                                                                    .value
                                                                            )
                                                                        }
                                                                        placeholder="Mobile Number"
                                                                        className="input_style__primary"
                                                                    /> */}
                                                        <PhoneInput
                                                            country={"uk"}
                                                            enableAreaCodes={
                                                                true
                                                            }
                                                            countryCodeEditable={
                                                                false
                                                            }
                                                            id="phone"
                                                            autoFormat={false}
                                                            name="phone"
                                                            // size="medium"
                                                            value={phone}
                                                            className={"w-full"}
                                                            inputStyle={{
                                                                width: "100%",
                                                                height: "11px",
                                                                background:
                                                                    "none",
                                                            }}
                                                            onChange={(e) => {
                                                                setPhone(e);
                                                            }}
                                                            enableSearch={true}
                                                            inputProps={{
                                                                name: "phone",
                                                                size: "small",
                                                                required: true,
                                                                autoFocus: true,
                                                            }}
                                                            isValid={(
                                                                value,
                                                                country
                                                            ) => {
                                                                if (
                                                                    value.match(
                                                                        /12345/
                                                                    )
                                                                ) {
                                                                    return (
                                                                        "Invalid value: " +
                                                                        value +
                                                                        ", " +
                                                                        country.name
                                                                    );
                                                                } else if (
                                                                    value.match(
                                                                        /12345/
                                                                    )
                                                                ) {
                                                                    return false;
                                                                } else if (
                                                                    value.match(
                                                                        /1111111/
                                                                    )
                                                                ) {
                                                                    return false;
                                                                } else if (
                                                                    value.match(
                                                                        /000000/
                                                                    )
                                                                ) {
                                                                    return false;
                                                                } else {
                                                                    setCountry(
                                                                        country.name
                                                                    );
                                                                    return true;
                                                                }
                                                            }}
                                                        />
                                                    </div>
                                                </>
                                            )}
                                            <div className="col-span-2">
                                                <textarea
                                                    cols={30}
                                                    rows={6}
                                                    required
                                                    onChange={(e) =>
                                                        setMessage(
                                                            e.target.value
                                                        )
                                                    }
                                                    className="input_style__primary"
                                                    placeholder="Your Subject..."
                                                    defaultValue={""}
                                                />
                                            </div>
                                            <div className="col-span-2">
                                                {loading ? (
                                                    <Button
                                                        variant="contained"
                                                        disabled={true}
                                                    >
                                                        Posting...
                                                    </Button>
                                                ) : (
                                                    <button
                                                        href="booking.html"
                                                        className="btn_primary__v1 !w-full justify-center mt-5"
                                                        onClick={(e) => {
                                                            e.preventDefault();
                                                            setLoading(true);
                                                            console.log(
                                                                value[0].$d
                                                                // package_id:
                                                                //     tourPackage.id,
                                                                // name,
                                                                // email,
                                                                // country,
                                                                // phone,
                                                                // message,
                                                                // adultCount,
                                                                // childCount,
                                                                // roomCount,
                                                            );
                                                            // return;
                                                            router.post(
                                                                "/post-enquiry",
                                                                {
                                                                    package_id: 0,
                                                                    name,
                                                                    email,
                                                                    phone,
                                                                    message,
                                                                    country,
                                                                }
                                                            );
                                                        }}
                                                    >
                                                        Send
                                                        <svg
                                                            width={20}
                                                            height={20}
                                                            viewBox="0 0 20 20"
                                                            fill="none"
                                                            xmlns="http://www.w3.org/2000/svg"
                                                        >
                                                            <path
                                                                d="M7.42505 16.5999L12.8584 11.1666C13.5 10.5249 13.5 9.4749 12.8584 8.83324L7.42505 3.3999"
                                                                stroke="currentColor"
                                                                strokeWidth="1.5"
                                                                strokeMiterlimit={
                                                                    10
                                                                }
                                                                strokeLinecap="round"
                                                                strokeLinejoin="round"
                                                            />
                                                        </svg>
                                                    </button>
                                                )}
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </>

                {/*========== INSTAGRAM FEED STYLE START ==========*/}
                {/* <InstagramFeeds /> */}
                {/*========== INSTAGRAM FEED STYLE END ==========*/}
                {/*========== FOOTER STYLE START ==========*/}
                <Footer />
                {/*========== FOOTER STYLE END ==========*/}
            </div>
        </>
    );
}
